Subject: [Ecn-in-quic] Update 2017-11-24

From: Ingemar Johansson S <[email-masked]>
Date: Fri, 24 Nov 2017 12:05:49 +0000

Hi

This email has two parts
1) Design team people
2) Updated ECN wiki

1) Design team people
==========================
I guess we have a kind of design team , I categorize it in two sub teams,
fully aware that some of the members have a good understanding of both
parts, the intention is not to lock in people on roles here, but is more to
verify that we have people available to do the real work. Also, I don't want
to lock out other members in this list from contribution to this work.

ECN geeks:
Ingemar Johansson (i)
Koen De Schepper (i)
Bob Briscoe (i)

QUIC geeks: 
Magnus Westerlund (ii)
Gorry (i or ii)
Leif Hedström (i or ii)

Where 
(i) = Small writing team
(ii) = Committed reviewers to promptly check what is being written.

We are a little butt-heavy on the ECN stuff but that is OK I trust the more
QUIC experts to provide useful guidance and things start to become more
clear.

2) Update of the ECN wiki
=================
I did an update of the ECN wiki
(https://github.com/quicwg/base-drafts/wiki/ECN-in-QUIC ). There I tried to
write down how I understand that the ECN capability exchange should be done,
there is a decent chance that I misunderstand things and that there are
unclear parts.
I also did an update to the ECN field. Of course , here there are a few open
questions

If you like, please feel free to edit the wikis, you need to setup an
account for this but that is no big issue.

/Ingemar

> -----Original Message-----
> From: Magnus Westerlund
> Sent: den 24 november 2017 09:58
> To: [email-masked]; Ingemar Johansson S
> <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [Ecn-in-quic] Volunteers for design team
> 
> Hi,
> 
> I am happy to do (ii).
> 
> /Magnus
> 
> 
> Den 2017-11-23 kl. 10:47, skrev Gorry Fairhurst:
> > On 23/11/2017, 09:15, Ingemar Johansson S wrote:
> >> Hi
> >>
> >> No it does not need to be a private group within a group. What I want
> >> is however that we have a team that can commit some minimal amount
> >> time to get things running, besides the usual chores that they are
> >> commited to.
> >> 15 people on a mailing list does not usually mean 15 people working
> >> 24/7 on the topic :-)
> >>
> >>
> >> You are probably right that we may not end up in the same problem as
> >> the spin bit design team, the case for ECN is also better documented
> >> than the spin bit.
> >>
> >> /Ingemar
> > Yes I thought that was the case... but we need to be sure.
> >
> > (i) May be a small writing team is a good way to start
> > (ii) Maybe a set of committed reviewers to promptly check what we have
> > written would also be good.
> >
> > I'd volunteer for (i), but if I am not needed at the moment as (i),
> > then I definitely would like to be (ii)!!!
> >
> > Gorry
> >>> -----Original Message-----
> >>> From: Ecn-in-quic [mailto:[email-masked]] On Behalf Of
> >>> Gorry
> >>> Fairhurst
> >>> Sent: den 23 november 2017 10:08
> >>> To: [email-masked]
> >>> Subject: Re: [Ecn-in-quic] Volunteers for design team
> >>>
> >>> On 23/11/2017, 08:40, Ingemar Johansson S wrote:
> >>>> Hi
> >>>>
> >>>> The resign team staff is now
> >>>>
> >>>> Me
> >>>>
> >>>> Koen De Schepper
> >>>>
> >>>> Bob Briscoe (not confirmed)
> >>>>
> >>>> So I believe that we have sufficient critical mass for the ECN
> >>>> usage/encoding aspects.
> >>>>
> >>> So is this a private group? - I think it shouldn't be, it would be
> >>> foolish for some
> >>> small subset of the group to propose something on their own (see 2
> >>> below).
> >>>> What is needed is one or two QUIC protocol geek who can look at this
> >>>> from a QUIC protocol/wireline format angle.
> >>>>
> >>>> Please drop me (or this group) an email if you are interested to join
> >>>> the fun.
> >>>>
> >>>> With that said.. I see that the spin bit discussion seems to spin out
> >>>> of control, my impression but perhaps I am a pessimist ?.
> >>>>
> >>>> It is real important that we come up with a clear statement and
> >>>> proposal in this group to avoid the same fate.
> >>>>
> >>> (1) This may be not wishing to have a public readbale header. If we
> >>> do ECN
> >>> the way we spoke about, the feedback is encrypted, and that doesn't
> >>> have
> >>> that specific problem.
> >>>
> >>> (2) One snag was that the DT from QUIC "spin" worked in a way did
> >>> not bring
> >>> all people directly to a document that they supported. We can avoid
> >>> that.
> >>>
> >>>> /Ingemar
> >>>>
> >>>> ==================================
> >>>>
> >>>> Ingemar Johansson  M.Sc.
> >>>>
> >>>> Master Researcher
> >>>>
> >>>> Ericsson Research
> >>>>
> >>>> Network Protocols&  E2E Performance
> >>>>
> >>>> Labratoriegränd 11
> >>>>
> >>>> 971 28, Luleå, Sweden
> >>>>
> >>>> Phone +46-1071 43042
> >>>>
> >>>> SMS/MMS +46-73 078 3289
> >>>>
> >>>> [email-masked]
> >>>> <mailto:[email-masked]>
> >>>>
> >>>> www.ericsson.com
> >>>>
> >>>> The world is full of magical things patiently
> >>>>
> >>>>      waiting for our wits to grow sharper
> >>>>
> >>>>                 Bertrand Russell
> >>>> ==================================
> >>>>
> >>>>
> >>>>
> >>>> _______________________________________________
> >>>> Ecn-in-quic mailing list
> >>>> [email-masked]
> >>>> https://www.ietf.org/mailman/listinfo/ecn-in-quic
> >>> Gorry
> >>>
> >>> _______________________________________________
> >>> Ecn-in-quic mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/ecn-in-quic
> >
> > _______________________________________________
> > Ecn-in-quic mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ecn-in-quic
> 
> --
> 
> Magnus Westerlund
> 
> ----------------------------------------------------------------------
> Media Technologies, Ericsson Research
> ----------------------------------------------------------------------
> Ericsson AB                 | Phone  +46 10 7148287
> Torshamnsgatan 23           | Mobile +46 73 0949079
> SE-164 80 Stockholm, Sweden | mailto: [email-masked]
> ----------------------------------------------------------------------
>